//========================================================= file = remotepp.c =
//=  Main function and get_time function for REMOTE++                         =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: main() - Launches appropriate functions based on user commands =
//=	       get_time()- returns the current date and time 		      =
//=---------------------------------------------------------------------------=
//=  History:  AMH (11/01/02) - Genesis (from master.c by KJC)                =
//=============================================================================
#define MAIN

//----Includes-----------------------------------------------------------------
#include "remotepp.h"

//=============================================================================
//= Main
//=============================================================================

void main(int argc, char *argv[])
{
  char          command[80];            // Command
  char          option1[80];   		// Option #1 for a command
  char          option2[80];    	// Option #2 for a command
  int           i;                      // Loop counter

  //Parse the command and call the appropriate function
  if(argc==1)
    help();
  else
  {
    // Convert command in argv[1] to all upper case
    for (i=0; i<((int) strlen(argv[1]) + 1); i++)
      command[i] = toupper(argv[1][i]);

    // Parse the command and any options
    if ((strcmp(command, "HELP") == 0) || (strcmp(command, "?") == 0))
      help();

    else if (strcmp(command, "TRANSFER") == 0)
    {
      strcpy(option1, argv[2]);
      strcpy(option2, argv[3]);
      transfer(option1, option2);
    }
    
    else if (strcmp(command, "RUN") == 0)
      run(); 
   
    else
      help();
  }
}

//=============================================================================
//=  Get current date and time function                                       =
//=   - Assumes that time_val is allocated in caller                          =
//=============================================================================

int get_time(char *time_val)
{
  time_t               timer;              // Timer variable
  struct tm            *tblock;            // Time stucture

  // Get the time, format it, and remove ending '\n' character
  timer = time(NULL);
  tblock = localtime(&timer);
  strcpy(time_val, asctime(tblock));
  time_val[strlen(time_val) - 1] = '\0';

  return(1);
}


