//========================================================= file = remotepp.h ==
//=  Include file for REMOTE++                                                 =
//==============================================================================
//=  Notes: 1) This file contains includes, constants, and function            =
//=            prototypes for remotepp.c                                       =
//==============================================================================
//=  Contains:								       =
//=----------------------------------------------------------------------------=
//=  History:  AMH (11/01/02) - Genesis (from master.h and common.h by KJC)    =  
//==============================================================================

//----- Includes ---------------------------------------------------------------
#include <stdio.h>              // Needed for I/O functions
#include <string.h>             // Needed for string functions
#include <ctype.h>              // Needed for toupper()
#include <conio.h>              // Needed for kbhit()
#include <time.h>               // Needed for time stuff
#include <windows.h>            // Needed for windows stuff
#include <fcntl.h>              // Needed for file I/O constants
#include <sys\stat.h>           // Needed for file I/O constants
#include <io.h>                 // Needed for open(), close(), and eof()
#include <process.h>            // Needed for thread stuff
#include <stddef.h>             // Needed for _threadid

//-----Conditional definitions--------------------------------------------------
#if defined (MAIN)
  #define EXTERN
#endif
#if defined (EXTERNAL)
  #define EXTERN extern
#endif

//----- Constants --------------------------------------------------------------
#define FALSE                      0    // FALSE = 0
#define TRUE                	   1    // TRUE = 1
#define JOB_LIST       "joblist.txt"    // Required job list
#define HOST_LIST     "hostlist.txt"    // Required host list
#define STATUS          "status.txt"    // Logs the status of the jobs and hosts
#define MAX_HOSTS                250    // Maximum number of hosts in host list
#define MAX_JOBS                 250    // Maximum number of jobs in job list
#define CLASSIC                    0    // Mode is classic - from file
#define NEW                        1    // Mode is new - from std input/output
#define UNASSIGNED                 0    // Job is not yet assigned
#define ASSIGNED                   1    // Job has been assigned
#define RUNNING                    2    // Job is running
#define DONE                       3    // Job is done
#define AVAILABLE                  0    // Host is available
#define BUSY                       1    // Host is busy
#define INVALID                    2    // Host is not valid

//----- External variables -----------------------------------------------------
EXTERN struct {
                char exe_file[100];         // *** executable file name
                char in_file[100];          // *** input file name
                char out_file[100];         // *** output file name
                char host_name[100];        // *** host name
                int  status;                // *** job status
                int  mode;                  // *** mode of the input/output
              } Run_list[MAX_HOSTS];        // Run list structure
EXTERN int    Num_jobs;                     // Number of jobs in the job list
EXTERN int    Num_hosts;                    // Number of hosts in the host list
EXTERN char   Time[100];                    // Time value string
EXTERN struct {
                char host_name[80];         // *** host name
                int  status;                // *** host status 
              } Hosts[MAX_HOSTS];           // Hosts structure

//------Prototypes--------------------------------------------------------------
void help(void);			    // Help function
int transfer(char *option1, char *option2); // Transfer function 
int run(void);				    // Run function to run the jobs
int get_time(char *time_val);               // Used in Run to display time
void run_thread(void *thread_arg);	    // Used in Run to thread the jobs 

