//==================================================== file = transfer.c ======
//=  Transfer function for REMOTE++                                           =
//=============================================================================
//=  Notes: 1) Assumes file to be transfered is in c:/remotepp		      =
//=	    2) Assumes c:/temp exists on remote host			      =
//=         3) Transfers file in binary, to transfer as ASCII change -b to -a =
//=             in: strcpy(rcp_string, "rcp -a /Remotepp/");		      =
//=---------------------------------------------------------------------------=
//=  Contains: transfer() - transfers files to remote hosts                   =
//=---------------------------------------------------------------------------=
//=  History:  AMH (12/02/02) - Genesis (from mxfer.c by KJC)                 =
//=============================================================================
#define EXTERNAL               // This is an external file (used in remotepp.h)

//----- Include files ---------------------------------------------------------
#include "remotepp.h"

//=============================================================================
//= Function to transfer files to remote hosts                                =
//=============================================================================
int transfer (char *file_name, char *host_name)
{
  int           retcode;                   // Return code
  char          rcp_string[100];           // Rcp string to use in System()

  // Output banner
  printf("Transferring file %s to host %s... \n", file_name, host_name);

  //form rcp string to copy the file to the remote host
  strcpy(rcp_string, "rcp -b /Remotepp/");
  strcat(rcp_string, file_name);
  strcat(rcp_string, " ");
  strcat(rcp_string, host_name);
  strcat(rcp_string, ":/temp/");

  // Send the file
  retcode = system(rcp_string);
  if (retcode < 0)
  {
    printf("*** ERROR in transfer() - rcp failed \n");
    return(-1);
  }

  // Output completion message
  printf("File transfer complete \n");

  return(1);
}

